hpp-corbaserver: hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage > Class Template Reference

`#include <hpp/corbaserver/constraints_idl/constraints.hh>`

Inheritance diagram for hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >:
[legend]

## Public Member Functions
| ImplicitServant (Server *server, const Storage &s)
virtual | ~ImplicitServant ()
hpp::constraints_idl::DifferentiableFunction_ptr | function ()
void | setRightHandSideFromConfig (const floatSeq &config)
void | setRightHandSide (const floatSeq &rhs)
floatSeq * | getRightHandSide ()
hpp::size_type | rhsSize ()
CORBA::Boolean | constantRightHandSide ()
floatSeq * | rightHandSideAt (value_type s)
Public Member Functions inherited from hpp::corbaServer::ServantBase< constraints::Implicit, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object.
bool | persistantStorage () const
| See persistantStorage(bool)
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Public Types inherited from hpp::corbaServer::ServantBase< constraints::Implicit, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t
Protected Member Functions inherited from hpp::corbaServer::ServantBase< constraints::Implicit, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< constraints::Implicit, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Constructor & Destructor Documentation

## ◆ ImplicitServant()

template<typename _Base , typename _Storage >

hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::ImplicitServant | ( | Server * | server,
|  | const Storage & | s
| ) |  |
| inline

## ◆ ~ImplicitServant()

template<typename _Base , typename _Storage >

virtual hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::~ImplicitServant | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ constantRightHandSide()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::constantRightHandSide | ( |  | ) |
| inline

## ◆ function()

template<typename _Base , typename _Storage >

hpp::constraints_idl::DifferentiableFunction_ptr hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::function | ( |  | ) |
| inline

## ◆ getRightHandSide()

template<typename _Base , typename _Storage >

floatSeq * hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::getRightHandSide | ( |  | ) |
| inline

## ◆ rhsSize()

template<typename _Base , typename _Storage >

hpp::size_type hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::rhsSize | ( |  | ) |
| inline

## ◆ rightHandSideAt()

template<typename _Base , typename _Storage >

floatSeq * hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::rightHandSideAt | ( | value_type | s | ) |
| inline

## ◆ setRightHandSide()

template<typename _Base , typename _Storage >

void hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::setRightHandSide | ( | const floatSeq & | rhs | ) |
| inline

## ◆ setRightHandSideFromConfig()

template<typename _Base , typename _Storage >

void hpp::corbaServer::constraints_idl::ImplicitServant< _Base, _Storage >::setRightHandSideFromConfig | ( | const floatSeq & | config | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/constraints_idl/constraints.hh